Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Metal Docs","description":"Developer documentation and API reference for Metal, the AI context layer for financial firms.","colors":{"primary":"#AF4719","light":"#E0764A","dark":"#8F3A14"},"logo":{"light":"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/light.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=215c9e6983b210f31b2f2f90fe58922d","dark":"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/dark.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=46e0a5261f69de6c07f84eb8543a195d","href":"https://www.metal.ai"},"favicon":"https://mintcdn.com/metal-05dd0988/kWbcLNNTbUpq7lH_/favicon.png?fit=max\u0026auto=format\u0026n=kWbcLNNTbUpq7lH_\u0026q=85\u0026s=aa6f9eae2cd28cf1532c714602acb90d","api":{"openapi":"api-reference/openapi.json","playground":{"display":"interactive"},"examples":{"languages":["bash","python","javascript","go"]}},"appearance":{"default":"system"},"background":{"color":{"light":"#FAF7EF","dark":"#1A1A18"}},"navbar":{"links":[{"href":"mailto:support@metal.ai","label":"Support"}],"primary":{"type":"button","label":"Book a demo","href":"https://www.metal.ai/book-a-demo"}},"footer":{"socials":{"website":"https://www.metal.ai","x":"https://x.com/metal__ai","linkedin":"https://www.linkedin.com/company/getmetal"}},"fonts":{"heading":{"family":"Lora"},"body":{"family":"Inter"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":{"theme":{"light":"github-light","dark":"github-dark"}},"latex":false},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"metal-05dd0988","hasAudioNarration":false,"actualSubdomain":"metal-05dd0988","customDomains":["docs.metal.ai"],"gitSource":{"type":"github","owner":"getmetal","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"42d3382f-6d8b-4b0d-bda5-8d2cdf5c40b4","liveDeploymentHistoryId":"6ae8b993fd92378ebc2e98cc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae8b993fd92378ebc2e98cc"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae8b993fd92378ebc2e98cc","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Developers","count":149},{"language":"default","tag":"API reference","count":123},{"language":"default","tag":"Core records","count":40},{"language":"default","tag":"User guide","count":34},{"language":"default","tag":"Lists \u0026 taxonomy","count":32},{"language":"default","tag":"Administration","count":22},{"language":"default","tag":"Enrichment \u0026 scoring","count":19},{"language":"default","tag":"Documentation","count":16},{"language":"default","tag":"Working in Metal","count":15},{"language":"default","tag":"Companies","count":12}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/companies/list-companies","slug":"/api-reference/companies/list-companies","pageMetadata":{"title":"List companies","description":"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level `website` and `linkedinUrl` use the resolved observation value when available, with the native company field as a fallback.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies","href":"/api-reference/companies/list-companies","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level \", _jsx(_components.code, {\n children: \"website\"\n }), \" and \", _jsx(_components.code, {\n children: \"linkedinUrl\"\n }), \" use the resolved observation value when available, with the native company field as a fallback.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"github-light","dark":"github-dark"}},"config":{},"pageMetadata":{"title":"List companies","description":"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level `website` and `linkedinUrl` use the resolved observation value when available, with the native company field as a fallback.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies","href":"/api-reference/companies/list-companies","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Companies"],"summary":"List companies","description":"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level `website` and `linkedinUrl` use the resolved observation value when available, with the native company field as a fallback.","operationId":"listCompanies","parameters":["50704964-5128-41a3-a5cb-e76284a26ff2","ad7deee6-c189-4de6-88b4-5fcd8e7119bd","6b63b876-0806-43b2-bc27-456938ebcf47","e50f5c8c-d71c-401d-a6ae-883c924f9ea8","f4f38b33-44f2-4077-86bb-21cde5b386dc"],"responses":{"200":"8935ea31-cdde-48e8-a3d5-af60fad841de","401":"98f45d4a-932e-459b-bb31-4e793269fb11"},"method":"get","type":"path","servers":["130f6bfe-94c7-4a22-9833-8ee919fd7e27"],"security":["dda5383b-58f9-4345-9930-cac5e8140457"],"path":"/v1/companies","baseUrlOptions":["https://api.metal.ai"],"title":"List companies","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"50704964-5128-41a3-a5cb-e76284a26ff2":{"name":"page","in":"query","description":"Page number, starting at 1 (max 100).","required":false,"schema":{"type":"integer","default":1,"minimum":1,"maximum":100,"isRequired":false,"description":"Page number, starting at 1 (max 100).","uniqueKey":"","typeLabel":"integer"}},"ad7deee6-c189-4de6-88b4-5fcd8e7119bd":{"name":"limit","in":"query","description":"Items per page (1 to 1000).","required":false,"schema":{"type":"integer","default":100,"minimum":1,"maximum":1000,"isRequired":false,"description":"Items per page (1 to 1000).","uniqueKey":"","typeLabel":"integer"}},"6b63b876-0806-43b2-bc27-456938ebcf47":{"name":"lt","in":"query","description":"Cursor: return items whose id is less than this value (use the last id from the previous page).","required":false,"schema":{"type":"string","isRequired":false,"description":"Cursor: return items whose id is less than this value (use the last id from the previous page).","uniqueKey":"","typeLabel":"string"}},"e50f5c8c-d71c-401d-a6ae-883c924f9ea8":{"name":"sort","in":"query","description":"Field to sort by. Defaults to id.","required":false,"schema":{"type":"string","isRequired":false,"description":"Field to sort by. Defaults to id.","uniqueKey":"","typeLabel":"string"}},"f4f38b33-44f2-4077-86bb-21cde5b386dc":{"name":"direction","in":"query","description":"Sort direction.","required":false,"schema":{"type":"string","enum":["asc","desc"],"default":"desc","isRequired":false,"description":"Sort direction.","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"responses":{"8935ea31-cdde-48e8-a3d5-af60fad841de":{"description":"A list of companies.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","description":"A company record. Many attributes are populated by enrichment: Metal gathers candidate values from your documents, data providers, and the web, then ranks and reconciles them into the single value shown here. See the Enrichment and Reconciliation \u0026 ranking guides. The `enrichment` field exposes the discovered values and citations behind each reconciled attribute.","properties":{"id":{"type":"string","example":"665f1c2a9b1e4a0012a3b4c5","uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"canonicalName":{"type":"string","example":"Acme Industrials","uniqueKey":"data.items.[INDEX].canonicalName","typeLabel":"string"},"alternativeNames":{"type":"array","items":{"type":"string","uniqueKey":"data.items.[INDEX].alternativeNames.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.items.[INDEX].alternativeNames","typeLabel":"string[]"},"website":{"type":"string","description":"On reads, the resolved observation value when available, otherwise the native company website.","example":"https://acme.example","uniqueKey":"data.items.[INDEX].website","typeLabel":"string"},"linkedinUrl":{"type":"string","description":"On reads, the resolved observation value when available, otherwise the native company LinkedIn URL.","example":"https://www.linkedin.com/company/acme-industrials","uniqueKey":"data.items.[INDEX].linkedinUrl","typeLabel":"string"},"description":{"type":"string","uniqueKey":"data.items.[INDEX].description","typeLabel":"string"},"shortDescription":{"type":"string","uniqueKey":"data.items.[INDEX].shortDescription","typeLabel":"string"},"sector":{"type":"string","example":"Industrials","uniqueKey":"data.items.[INDEX].sector","typeLabel":"string"},"subsector":{"type":"string","uniqueKey":"data.items.[INDEX].subsector","typeLabel":"string"},"industry":{"type":"string","uniqueKey":"data.items.[INDEX].industry","typeLabel":"string"},"location":{"type":"object","properties":{"city":{"type":"string","uniqueKey":"data.items.[INDEX].location.city","typeLabel":"string"},"state":{"type":"string","uniqueKey":"data.items.[INDEX].location.state","typeLabel":"string"},"country":{"type":"string","uniqueKey":"data.items.[INDEX].location.country","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX].location","typeLabel":"object"},"companyType":{"type":"string","enum":["operating","investor","lender","investment_bank","advisor","sponsor","service_provider"],"example":"operating","uniqueKey":"data.items.[INDEX].companyType","typeLabel":"enum\u003cstring>"},"origin":{"type":"string","enum":["user","crm","agent","screening"],"uniqueKey":"data.items.[INDEX].origin","typeLabel":"enum\u003cstring>"},"externalId":{"type":"string","uniqueKey":"data.items.[INDEX].externalId","typeLabel":"string"},"externalReference":{"type":"object","description":"A structured reference to a record in an external source system.","properties":{"source":{"type":"string","description":"The external system, e.g. a CRM provider.","uniqueKey":"data.items.[INDEX].externalReference.source","typeLabel":"string"},"id":{"type":"string","description":"The record id in the external system.","uniqueKey":"data.items.[INDEX].externalReference.id","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX].externalReference","typeLabel":"object"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"data.items.[INDEX].tags.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.items.[INDEX].tags","typeLabel":"string[]"},"assignees":{"type":"array","items":{"type":"object","description":"A reference to another resource, such as a user or team.","properties":{"id":{"type":"string","uniqueKey":"data.items.[INDEX].assignees.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","description":"The referenced resource type, e.g. \"user\" or \"team\".","uniqueKey":"data.items.[INDEX].assignees.items.[INDEX].type","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX].assignees.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.items.[INDEX].assignees","typeLabel":"object[]"},"custom":{"type":"object","additionalProperties":true,"description":"Organization-defined custom fields.","uniqueKey":"data.items.[INDEX].custom","typeLabel":"object"},"employeeCount":{"type":"integer","description":"Enriched. Approximate headcount, used as a size proxy.","example":450,"uniqueKey":"data.items.[INDEX].employeeCount","typeLabel":"integer"},"ownershipStatus":{"type":"string","description":"Enriched. Ownership status, e.g. \"private\", \"public\", or \"sponsor-owned\".","example":"private","uniqueKey":"data.items.[INDEX].ownershipStatus","typeLabel":"string"},"lastValuation":{"type":"number","description":"Enriched. Most recent known valuation.","uniqueKey":"data.items.[INDEX].lastValuation","typeLabel":"number"},"lastRoundDate":{"type":"string","format":"date","description":"Enriched. Date of the most recent funding round.","uniqueKey":"data.items.[INDEX].lastRoundDate","typeLabel":"string\u003cdate>"},"lastAmountRaised":{"type":"number","description":"Enriched. Amount raised in the most recent round.","uniqueKey":"data.items.[INDEX].lastAmountRaised","typeLabel":"number"},"totalMoneyRaised":{"type":"number","description":"Enriched. Total capital raised to date.","uniqueKey":"data.items.[INDEX].totalMoneyRaised","typeLabel":"number"},"lastFinancials":{"type":"object","additionalProperties":true,"description":"Enriched. Most recent reported financials (such as revenue).","uniqueKey":"data.items.[INDEX].lastFinancials","typeLabel":"object"},"enrichment":{"type":"object","description":"Maps an enriched field name to the list of values Metal discovered for it. The resolved (top-ranked or pinned) value is reflected on the field itself; this object exposes the alternatives and their citations.","additionalProperties":{"type":"array","items":{"type":"object","description":"A single value Metal discovered for a field, with its provenance. Metal ranks and reconciles these into the value shown on the field. See the Reconciliation \u0026 ranking guide.","properties":{"value":{"description":"The discovered value. Type matches the underlying field.","uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX].value","typeLabel":"any"},"source":{"type":"string","description":"Where the value came from, e.g. \"CIM\", \"Market Report\", \"Web Search\", \"Third Party Data\", or \"User Updated\".","example":"CIM","uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX].source","typeLabel":"string"},"confidence":{"type":"number","description":"Confidence in the value, as a percentage (0–100).","example":100,"uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX].confidence","typeLabel":"number"},"pinned":{"type":"boolean","description":"Whether this value is pinned as the displayed value, overriding ranking.","example":true,"uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX].pinned","typeLabel":"boolean"},"discoveredAt":{"type":"string","format":"date-time","description":"When the value was discovered.","uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX].discoveredAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data.items.[INDEX].enrichment.additionalProperties.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.items.[INDEX].enrichment.additionalProperties","typeLabel":"object[]"},"example":{"subsector":[{"value":"Self-Funded Health Insurance / Third Party Administrator (TPA)","source":"CIM","confidence":100,"pinned":true,"discoveredAt":"2026-02-14T10:00:00Z"},{"value":"Third-Party Administrators (TPAs)","source":"Market Report","confidence":57,"pinned":false,"discoveredAt":"2026-01-20T10:00:00Z"}]},"uniqueKey":"data.items.[INDEX].enrichment","typeLabel":"object"},"lastEnrichedAt":{"type":"string","format":"date-time","description":"When enrichment last completed and wrote values.","uniqueKey":"data.items.[INDEX].lastEnrichedAt","typeLabel":"string\u003cdate-time>"},"lastEnrichmentStartedAt":{"type":"string","format":"date-time","description":"When the most recent enrichment run began. If newer than `lastEnrichedAt`, a run is in progress.","uniqueKey":"data.items.[INDEX].lastEnrichmentStartedAt","typeLabel":"string\u003cdate-time>"},"createdAt":{"type":"string","format":"date-time","uniqueKey":"data.items.[INDEX].createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"type":"string","format":"date-time","uniqueKey":"data.items.[INDEX].updatedAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":[{"id":"665f1c2a9b1e4a0012a3b4c5","canonicalName":"Acme Industrials","alternativeNames":["\u003cstring>"],"website":"https://acme.example","linkedinUrl":"https://www.linkedin.com/company/acme-industrials","description":"\u003cstring>","shortDescription":"\u003cstring>","sector":"Industrials","subsector":"\u003cstring>","industry":"\u003cstring>","location":{"city":"\u003cstring>","state":"\u003cstring>","country":"\u003cstring>"},"companyType":"operating","origin":"user","externalId":"\u003cstring>","externalReference":{"source":"\u003cstring>","id":"\u003cstring>"},"tags":["\u003cstring>"],"assignees":[{"id":"\u003cstring>","type":"\u003cstring>"}],"custom":{},"employeeCount":450,"ownershipStatus":"private","lastValuation":123,"lastRoundDate":"2023-12-25","lastAmountRaised":123,"totalMoneyRaised":123,"lastFinancials":{},"enrichment":{"subsector":[{"value":"Self-Funded Health Insurance / Third Party Administrator (TPA)","source":"CIM","confidence":100,"pinned":true,"discoveredAt":"2026-02-14T10:00:00Z"},{"value":"Third-Party Administrators (TPAs)","source":"Market Report","confidence":57,"pinned":false,"discoveredAt":"2026-01-20T10:00:00Z"}]},"lastEnrichedAt":"2023-11-07T05:31:56Z","lastEnrichmentStartedAt":"2023-11-07T05:31:56Z","createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"98f45d4a-932e-459b-bb31-4e793269fb11":{"description":"Missing or invalid API key credentials.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A human-readable error message.","uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"invalid api key or clientId"},"examples":{"Example":{"title":"Example","value":{"error":"invalid api key or clientId"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"dda5383b-58f9-4345-9930-cac5e8140457":{"MetalClientId":{"type":"apiKey","in":"header","name":"x-metal-client-id","description":"The Client ID of your API key.","x-default":"\u003cclient-id>","scopes":[],"schemeName":"MetalClientId"},"MetalApiKey":{"type":"apiKey","in":"header","name":"x-metal-api-key","description":"The secret value of your API key.","x-default":"\u003capi-key>","scopes":[],"schemeName":"MetalApiKey"}}},"servers":{"130f6bfe-94c7-4a22-9833-8ee919fd7e27":{"url":"https://api.metal.ai","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-metal-client-id","description":"The Client ID of your API key.","x-default":"\u003cclient-id>","scopes":[],"schemeName":"MetalClientId"},"schema":{"title":"x-metal-client-id","type":"string","description":"The Client ID of your API key.","isRequired":true,"default":"\u003cclient-id>","typeLabel":"string","deprecated":false},"schemeName":"MetalClientId","name":"x-metal-client-id"},{"scheme":{"type":"apiKey","in":"header","name":"x-metal-api-key","description":"The secret value of your API key.","x-default":"\u003capi-key>","scopes":[],"schemeName":"MetalApiKey"},"schema":{"title":"x-metal-api-key","type":"string","description":"The secret value of your API key.","isRequired":true,"default":"\u003capi-key>","typeLabel":"string","deprecated":false},"schemeName":"MetalApiKey","name":"x-metal-api-key"}],"title":"MetalClientId \u0026 MetalApiKey"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"metal-05dd0988","siteName":"Metal Docs","title":"List companies - Metal Docs","relatedPagesConfig":{"enabled":true,"limit":5,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-28T14:14:22.407Z","originalFileLocation":"api-reference/companies/list-companies.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Metal Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List companies - Metal Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Metal Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.metal.ai/api-reference/companies/list-companies\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://metal-05dd0988.mintlify.site/_mintlify/api/og/v2?division=Companies\u0026amp;title=List+companies\u0026amp;description=Returns+companies+in+your+organization%2C+newest+first.+Supports+pagination+and+sorting.+Top-level+%60website%60+and+%60linkedinUrl%60+use+the+resolved+observation+value+\u0026amp;theme=8371c31aca97183926192ed6\u0026amp;signature=98b0d5b13326f204201f0e5fc80516ef002b827de0cb782bf15d9908da70af84\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List companies - Metal Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://metal-05dd0988.mintlify.site/_mintlify/api/og/v2?division=Companies\u0026amp;title=List+companies\u0026amp;description=Returns+companies+in+your+organization%2C+newest+first.+Supports+pagination+and+sorting.+Top-level+%60website%60+and+%60linkedinUrl%60+use+the+resolved+observation+value+\u0026amp;theme=8371c31aca97183926192ed6\u0026amp;signature=98b0d5b13326f204201f0e5fc80516ef002b827de0cb782bf15d9908da70af84\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/metal-05dd0988/H5xVb6VOFSWBSPlZ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Metal Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#AF4719\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.metal.ai/api-reference/companies/list-companies\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/companies/list-companies.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.metal.ai/#organization\",\"name\":\"Metal Docs\",\"url\":\"https://docs.metal.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/metal-05dd0988/nE9Niq1EZxmrmtFS/logo/light.png?fit=max\u0026auto=format\u0026n=nE9Niq1EZxmrmtFS\u0026q=85\u0026s=215c9e6983b210f31b2f2f90fe58922d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.metal.ai#website\",\"name\":\"Metal Docs\",\"url\":\"https://docs.metal.ai\",\"publisher\":{\"@id\":\"https://docs.metal.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.metal.ai/api-reference/companies/list-companies#webpage\",\"url\":\"https://docs.metal.ai/api-reference/companies/list-companies\",\"name\":\"List companies\",\"description\":\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.\",\"dateModified\":\"2026-10-28T14:14:22.407Z\",\"isPartOf\":{\"@id\":\"https://docs.metal.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.metal.ai/api-reference/companies/list-companies#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.metal.ai/api-reference/companies/list-companies#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Metal Docs\",\"item\":\"https://docs.metal.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List companies\",\"item\":\"https://docs.metal.ai/api-reference/companies/list-companies\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.metal.ai/api-reference/companies/list-companies#apireference\",\"headline\":\"List companies\",\"name\":\"List companies\",\"description\":\"Returns companies in your organization, newest first. Supports pagination and sorting. Top-level website and linkedinUrl use the resolved observation value when available, with the native company field as a fallback.\",\"url\":\"https://docs.metal.ai/api-reference/companies/list-companies\",\"mainEntityOfPage\":{\"@id\":\"https://docs.metal.ai/api-reference/companies/list-companies#webpage\"},\"dateModified\":\"2026-10-28T14:14:22.407Z\",\"publisher\":{\"@id\":\"https://docs.metal.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.metal.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Metal Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Metal Docs","nav":{"global":null,"products":[{"product":"Developers","icon":"code","description":"Build on the Metal API — core concepts, integration guides, MCP, and the full API reference.","tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":""}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/guides/sync-data"}]},{"tab":"API reference","icon":"code","groups":[{"group":"Overview","pages":[{"title":"Metal REST API conventions and structure","sidebarTitle":"API reference","description":"Base URL, conventions, API key headers, 24-character resource IDs, and external ID addressing for the Metal REST API, plus how endpoints are grouped.","href":"/api-reference/introduction"}]},{"group":"Core records","pages":[{"group":"Companies","pages":[{"title":"List companies","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies","href":"/api-reference/companies/list-companies"},{"title":"Create a company","description":"Creates a company. Only `canonicalName` is required.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies","href":"/api-reference/companies/create-a-company"},{"title":"Get a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}","href":"/api-reference/companies/get-a-company"},{"title":"Update a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/companies/{id}","href":"/api-reference/companies/update-a-company"},{"title":"Delete a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/companies/{id}","href":"/api-reference/companies/delete-a-company"},{"title":"Get companies by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/ids={ids}","href":"/api-reference/companies/get-companies-by-ids"},{"title":"Get a company by external id","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/externalId={externalId}","href":"/api-reference/companies/get-a-company-by-external-id"},{"title":"Get a company by external reference","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/externalReference={ref}","href":"/api-reference/companies/get-a-company-by-external-reference"},{"title":"Search companies","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/search","href":"/api-reference/companies/search-companies"},{"title":"Enrich a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/{id}/enrich","href":"/api-reference/companies/enrich-a-company"},{"title":"List company financial metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/financial-metrics","href":"/api-reference/companies/list-company-financial-metrics"},{"title":"Aggregate company email touchpoints","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/companies/email-touchpoints/aggregate","href":"/api-reference/companies/aggregate-company-email-touchpoints"}]},{"group":"Deals","pages":[{"title":"List deals","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals","href":"/api-reference/deals/list-deals"},{"title":"Create a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/deals","href":"/api-reference/deals/create-a-deal"},{"title":"Get a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/{id}","href":"/api-reference/deals/get-a-deal"},{"title":"Update a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/deals/{id}","href":"/api-reference/deals/update-a-deal"},{"title":"Delete a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/deals/{id}","href":"/api-reference/deals/delete-a-deal"},{"title":"Get deals by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/ids={ids}","href":"/api-reference/deals/get-deals-by-ids"},{"title":"Get a deal by external id","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/externalId={externalId}","href":"/api-reference/deals/get-a-deal-by-external-id"},{"title":"List deals for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/deals","href":"/api-reference/deals/list-deals-for-a-company"},{"title":"Search deals","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/deals/search","href":"/api-reference/deals/search-deals"}]},{"group":"People","pages":[{"title":"List people","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people","href":"/api-reference/people/list-people"},{"title":"Create a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/people","href":"/api-reference/people/create-a-person"},{"title":"Get a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/{id}","href":"/api-reference/people/get-a-person"},{"title":"Update a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/people/{id}","href":"/api-reference/people/update-a-person"},{"title":"Delete a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/people/{id}","href":"/api-reference/people/delete-a-person"},{"title":"Get people by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/ids={ids}","href":"/api-reference/people/get-people-by-ids"},{"title":"Get a person by external reference","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/externalReference={ref}","href":"/api-reference/people/get-a-person-by-external-reference"},{"title":"List people for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/people","href":"/api-reference/people/list-people-for-a-company"},{"title":"Search people","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/people/search","href":"/api-reference/people/search-people"}]},{"group":"Documents","pages":[{"title":"Get documents by ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/documents/ids={ids}","href":"/api-reference/documents/get-documents-by-ids"},{"title":"Search documents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/documents/search","href":"/api-reference/documents/search-documents"}]},{"group":"Activities","pages":[{"title":"List activities","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/activities","href":"/api-reference/activity/list-activities"},{"title":"Create an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/activities","href":"/api-reference/activity/create-an-activity"},{"title":"Get an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/activities/{id}","href":"/api-reference/activity/get-an-activity"},{"title":"Update an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/activities/{id}","href":"/api-reference/activity/update-an-activity"},{"title":"Delete an activity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/activities/{id}","href":"/api-reference/activity/delete-an-activity"},{"title":"Search activities","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/activities/search","href":"/api-reference/activities/search-activities"},{"title":"List activities for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/activities","href":"/api-reference/activities/list-activities-for-a-company"},{"title":"List activities for a person","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/people/{id}/activities","href":"/api-reference/activities/list-activities-for-a-person"}]}]},{"group":"Enrichment \u0026 scoring","pages":[{"group":"Enrichments","pages":[{"title":"Create an enrichment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/enrichments","href":"/api-reference/enrichments/create-an-enrichment"},{"title":"List enrichments for a resource","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/enrichments/resources/{resourceType}/{resourceId}","href":"/api-reference/enrichments/list-enrichments-for-a-resource"},{"title":"Get enrichment for a property","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/enrichments/resources/{resourceType}/{resourceId}/{property}","href":"/api-reference/enrichments/get-enrichment-for-a-property"},{"title":"Delete an enrichment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/enrichments/{id}","href":"/api-reference/enrichments/delete-an-enrichment"}]},{"group":"Scores","pages":[{"title":"List scores","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scores","href":"/api-reference/scores/list-scores"},{"title":"Create a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/scores","href":"/api-reference/scores/create-a-score"},{"title":"Get a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scores/{id}","href":"/api-reference/scores/get-a-score"},{"title":"Delete a score","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/scores/{id}","href":"/api-reference/scores/delete-a-score"},{"title":"List scores for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/scores","href":"/api-reference/scores/list-scores-for-a-company"},{"title":"List scoring frameworks","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scoring-frameworks","href":"/api-reference/scores/list-scoring-frameworks"},{"title":"Get a scoring framework","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/scoring-frameworks/{id}","href":"/api-reference/scores/get-a-scoring-framework"}]},{"group":"Screenings","pages":[{"title":"List screenings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/screenings","href":"/api-reference/screening/list-screenings"},{"title":"Create a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/screenings","href":"/api-reference/screening/create-a-screening"},{"title":"Get a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/screenings/{id}","href":"/api-reference/screening/get-a-screening"},{"title":"Update a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/screenings/{id}","href":"/api-reference/screening/update-a-screening"},{"title":"Delete a screening","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/screenings/{id}","href":"/api-reference/screening/delete-a-screening"},{"title":"Search screenings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/screenings/search","href":"/api-reference/screenings/search-screenings"},{"title":"List screenings for a company","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/companies/{id}/screenings","href":"/api-reference/screenings/list-screenings-for-a-company"},{"title":"List screenings for a deal","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/deals/{id}/screenings","href":"/api-reference/screenings/list-screenings-for-a-deal"}]}]},{"group":"Lists \u0026 taxonomy","pages":[{"group":"Lists","pages":[{"title":"List lists","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists","href":"/api-reference/lists/list-lists"},{"title":"Create a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists","href":"/api-reference/lists/create-a-list"},{"title":"Get a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}","href":"/api-reference/lists/get-a-list"},{"title":"Update a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/lists/{id}","href":"/api-reference/lists/update-a-list"},{"title":"Delete a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/lists/{id}","href":"/api-reference/lists/delete-a-list"},{"title":"List entries","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}/entries","href":"/api-reference/lists/list-entries"},{"title":"Add an entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/entries","href":"/api-reference/lists/add-an-entry"},{"title":"Add or remove tags in bulk","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/entries/bulk-tags","href":"/api-reference/lists/add-or-remove-tags-in-bulk"},{"title":"Get a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/get-a-list-entry"},{"title":"Update a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/update-a-list-entry"},{"title":"Delete a list entry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/lists/{id}/entries/{entryId}","href":"/api-reference/lists/delete-a-list-entry"},{"title":"Enrich a list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lists/{id}/enrich","href":"/api-reference/lists/enrich-a-list"}]},{"group":"Tags","pages":[{"title":"List tags","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/tags","href":"/api-reference/tag/list-tags"},{"title":"Create a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/tags","href":"/api-reference/tag/create-a-tag"},{"title":"Get a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/tags/{id}","href":"/api-reference/tag/get-a-tag"},{"title":"Update a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/tags/{id}","href":"/api-reference/tag/update-a-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/tags/{id}","href":"/api-reference/tag/delete-a-tag"}]},{"group":"Industries","pages":[{"title":"List industries","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/industries","href":"/api-reference/industry/list-industries"},{"title":"Create an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/industries","href":"/api-reference/industry/create-an-industry"},{"title":"Get an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/industries/{id}","href":"/api-reference/industry/get-an-industry"},{"title":"Update an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/industries/{id}","href":"/api-reference/industry/update-an-industry"},{"title":"Delete an industry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/industries/{id}","href":"/api-reference/industry/delete-an-industry"}]},{"group":"Sectors","pages":[{"title":"List sectors","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/sectors","href":"/api-reference/sector/list-sectors"},{"title":"Create a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/sectors","href":"/api-reference/sector/create-a-sector"},{"title":"Get a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/sectors/{id}","href":"/api-reference/sector/get-a-sector"},{"title":"Update a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/sectors/{id}","href":"/api-reference/sector/update-a-sector"},{"title":"Delete a sector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/sectors/{id}","href":"/api-reference/sector/delete-a-sector"}]},{"group":"Subsectors","pages":[{"title":"List subsectors","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/subsectors","href":"/api-reference/subsector/list-subsectors"},{"title":"Create a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/subsectors","href":"/api-reference/subsector/create-a-subsector"},{"title":"Get a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/subsectors/{id}","href":"/api-reference/subsector/get-a-subsector"},{"title":"Update a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/subsectors/{id}","href":"/api-reference/subsector/update-a-subsector"},{"title":"Delete a subsector","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/subsectors/{id}","href":"/api-reference/subsector/delete-a-subsector"}]}]},{"group":"Workflows \u0026 automation","pages":[{"group":"Workflows","pages":[{"title":"List workflows","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows","href":"/api-reference/workflows/list-workflows"},{"title":"Create a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflows","href":"/api-reference/workflows/create-a-workflow"},{"title":"Get a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows/{id}","href":"/api-reference/workflows/get-a-workflow"},{"title":"Update a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/workflows/{id}","href":"/api-reference/workflows/update-a-workflow"},{"title":"Delete a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/workflows/{id}","href":"/api-reference/workflows/delete-a-workflow"},{"title":"Trigger a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflows/{id}/runs","href":"/api-reference/workflows/trigger-a-workflow-run"},{"title":"List workflow runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflows/{id}/runs","href":"/api-reference/workflows/list-workflow-runs"},{"title":"List all workflow runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflow-runs","href":"/api-reference/workflows/list-all-workflow-runs"},{"title":"Get a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workflow-runs/{id}","href":"/api-reference/workflows/get-a-workflow-run"},{"title":"Update a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /v1/workflow-runs/{id}","href":"/api-reference/workflows/update-a-workflow-run"},{"title":"Cancel a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflow-runs/{id}/cancel","href":"/api-reference/workflows/cancel-a-workflow-run"},{"title":"Retry a workflow run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workflow-runs/{id}/retry","href":"/api-reference/workflows/retry-a-workflow-run"}]}]},{"group":"Inference","pages":[{"title":"Run an LLM completion","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/inference","href":"/api-reference/inference/run-an-llm-completion"}]},{"group":"Data","pages":[{"group":"Series \u0026 observations","pages":[{"title":"Get a metric series","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/series","href":"/api-reference/data/get-a-metric-series"},{"title":"Get an observation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/observations","href":"/api-reference/data/get-an-observation"},{"title":"List available metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/data/metrics","href":"/api-reference/data/list-available-metrics"},{"title":"Query a metric series","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/data/metric-series","href":"/api-reference/data/query-a-metric-series"},{"title":"Batch resolve observations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/data/observations/batch","href":"/api-reference/data/batch-resolve-observations"}]}]},{"group":"Administration","pages":[{"group":"API keys","pages":[{"title":"Get current API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/keys/current","href":"/api-reference/api-keys/get-current-api-key"}]},{"group":"Teams","pages":[{"title":"List teams","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams","href":"/api-reference/team/list-teams"},{"title":"Create a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/teams","href":"/api-reference/team/create-a-team"},{"title":"Get a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams/{id}","href":"/api-reference/team/get-a-team"},{"title":"Update a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/teams/{id}","href":"/api-reference/team/update-a-team"},{"title":"Delete a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/teams/{id}","href":"/api-reference/team/delete-a-team"},{"title":"List team members","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/teams/{id}/members","href":"/api-reference/teams/list-team-members"}]},{"group":"Workspaces","pages":[{"title":"List workspaces","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workspaces","href":"/api-reference/workspace/list-workspaces"},{"title":"Create a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workspaces","href":"/api-reference/workspace/create-a-workspace"},{"title":"Get a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/workspaces/{id}","href":"/api-reference/workspace/get-a-workspace"},{"title":"Update a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /v1/workspaces/{id}","href":"/api-reference/workspace/update-a-workspace"},{"title":"Delete a workspace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/workspaces/{id}","href":"/api-reference/workspace/delete-a-workspace"},{"title":"Search workspaces","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/workspaces/search","href":"/api-reference/workspaces/search-workspaces"}]}]}]}]},{"product":"User guide","icon":"book-open","description":"Learn how to use and administer the Metal app, feature by feature.","pages":[{"title":"User guide","href":"/help"}]}]},"basePath":"","title":"List companies - Metal Docs","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}